Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 649004 - net-wireless/wpa_supplicant with >=dev-libs/openssl-1.1.0 - .../temp/ccTbFGP1.ltrans3.ltrans.o: In function `tls_init': <artificial>:(.text+0x6963): undefined reference to `ENGINE_load_dynamic'
Summary: net-wireless/wpa_supplicant with >=dev-libs/openssl-1.1.0 - .../temp/ccTbFGP1...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Rick Farina (Zero_Chaos)
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: openssl-1.1 openssl-1.1_disable-deprecated
  Show dependency tree
 
Reported: 2018-02-27 23:03 UTC by Quentin Minster
Modified: 2018-10-24 16:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_649004.txt,249.93 KB, text/plain)
2018-02-27 23:03 UTC, Quentin Minster
Details
wpa_supplicant-2.6-openssl-1.1.0-compat.patch (file_649004.txt,1.24 KB, patch)
2018-02-27 23:14 UTC, Quentin Minster
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Quentin Minster 2018-02-27 23:03:31 UTC
Created attachment 521350 [details]
build.log

net-wireless/wpa_supplicant fails to build against Gentoo's OpenSSl 1.1.0. This is due to undefined references to functions removed from OpenSSL 1.1.0.
Comment 1 Quentin Minster 2018-02-27 23:14:06 UTC
Created attachment 521352 [details, diff]
wpa_supplicant-2.6-openssl-1.1.0-compat.patch

Patch that adds support for OpenSSL 1.1.0 to net-wireless/wpa_supplicant.
This patch can't be applied through eapply_user() since the file it applies to is above ${S} (which is customized in the ebuild). It must be explicitly eapply()ed from src_prepare().
Comment 2 Rick Farina (Zero_Chaos) gentoo-dev 2018-04-16 20:34:28 UTC
Has this been reported and fixed upstream?
Comment 3 Lars Wendler (Polynomial-C) gentoo-dev 2018-10-24 15:48:00 UTC
Since we decided to no longer build openssl without deprecated features, this
bug can now be considered as fixed (but will eventually reappear once openssl
upstream finally removed deprecated features from their code).